Difference: ReadMe (1 vs. 10)

Revision 102014-04-28 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 12 to 12
 

REQUIREMENT:

The version 1.2.11 release of the OpenFst is required and can be

Changed:
<
<
downloaded at http://www.openfst.org/FstDownload. The library
>
>
downloaded at http://www.openfst.org/twiki/bin/view/FST/FstDownload. The library
  needs to be compiled with --enable-far: run ./configure --enable-far; make; make install in OpenFst source directory.

Revision 92013-06-11 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 11 to 11
 

REQUIREMENT:

Changed:
<
<
The version 1.2.10 release of the OpenFst is required and can be
>
>
The version 1.2.11 release of the OpenFst is required and can be
  downloaded at http://www.openfst.org/FstDownload. The library needs to be compiled with --enable-far: run ./configure --enable-far; make; make install in OpenFst source directory.

Revision 82013-06-10 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 11 to 11
 

REQUIREMENT:

Changed:
<
<
The version 1.2.7 release of the OpenFst is required and can be
>
>
The version 1.2.10 release of the OpenFst is required and can be
  downloaded at http://www.openfst.org/FstDownload. The library needs to be compiled with --enable-far: run ./configure --enable-far; make; make install in OpenFst source directory.

Revision 72011-11-01 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 34 to 34
  On MacOSX, the required packages can be installed using:
Changed:
<
<
  • sudo fink install atlas; sudo apt-get install glpk
>
>
  • sudo fink install atlas glpk
  if you are using Fink;
Changed:
<
<
  • sudo ports install atlas glpk if you are using DarwinPorts.
>
>
  • sudo ports install atlas glpk if you are using MacPorts.
  The package also include a modified version of LIBSVM 2.82 and an unmodified version of LIBLINEAR 1.33.
Line: 46 to 46
 
  • Edit the Makedefs.custom file at the top level.
    No changes needed on Ubuntu. On MacOSX using Fink, follow
Changed:
<
<
the comments in this file. On MacOSX using DarwinPorts, follow
>
>
the comments in this file. On MacOSX using MacPorts, follow
  the Fink instructions replacing /sw by /opt.

  • Run at the top level:

Revision 62011-11-01 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 29 to 29
 
  • An implementation of BLAS and LAPACK.
Changed:
<
<
The package also include a modified version of LIBSVM 2.82 and an unmodified version of LIBLINEAR 1.33.
>
>
On Ubuntu, the required packages can be installed using: sudo apt-get install glpk liblapack-dev

On MacOSX, the required packages can be installed using:

  • sudo fink install atlas; sudo apt-get install glpk if you are using Fink;
  • sudo ports install atlas glpk if you are using DarwinPorts.

The package also include a modified version of LIBSVM 2.82 and an unmodified version of LIBLINEAR 1.33.

 

BUILDING:

To build (rudimentary Makefiles for now):

Changed:
<
<
  • Edit the Makedefs.custom file at the top level.
>
>
  • Edit the Makedefs.custom file at the top level.
    No changes needed on Ubuntu. On MacOSX using Fink, follow the comments in this file. On MacOSX using DarwinPorts, follow the Fink instructions replacing /sw by /opt.
 
  • Run at the top level:
    make all
Added:
>
>
On MacOSX, you need to make sure that all the directories containing dynamic libraries are in your DYLD_LIBRARY_PATH environment variable, for instance:
export DYLD_LIBRARY=$DYLD_LIBRARY:/sw/lib:/usr/local/lib:<path_to_openkernel_dir>/kernel/lib.
 

DOCUMENTATION:

Line: 48 to 63
 
Deleted:
<
<
-- CyrilAllauzen - 09 Apr 2010
 \ No newline at end of file
Added:
>
>
-- AfshinRostamizadeh - 01 Nov 2011
-- CyrilAllauzen - 01 Nov 2011

Revision 52011-08-25 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 13 to 13
  The version 1.2.7 release of the OpenFst is required and can be downloaded at http://www.openfst.org/FstDownload. The library
Changed:
<
<
needs to be compiled with --enable-far (run ./configure --enable-far in OpenFst source directory before calling make).
>
>
needs to be compiled with --enable-far: run ./configure --enable-far; make; make install in OpenFst source directory.
  Other requirements are:

Revision 42011-08-23 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 13 to 13
  The version 1.2.7 release of the OpenFst is required and can be downloaded at http://www.openfst.org/FstDownload. The library
Changed:
<
<
needs to be compiled with --enable-far.
>
>
needs to be compiled with --enable-far (run ./configure --enable-far in OpenFst source directory before calling make).
  Other requirements are:

Revision 32011-06-27 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Line: 35 to 35
  To build (rudimentary Makefiles for now):
Changed:
<
<
  • Edit the Makedefs.custom file at the top level if necessary.

  • Edit the Makedefs.custom file at the top level if necessary.
>
>
  • Edit the Makedefs.custom file at the top level.
 
  • Run at the top level:
    make all

Revision 22011-06-23 - CyrilAllauzen

Line: 1 to 1
 
META TOPICPARENT name="KernelDownload"

OpenKernel README

Changed:
<
<

OpenKernel - Alpha release

>
>

OpenKernel - Beta release

 

PLATFORMS:

Line: 11 to 11
 

REQUIREMENT:

Changed:
<
<
The version 1.1 release of the OpenFst is required and can be downloaded at http://www.openfst.org/FstDownload.
>
>
The version 1.2.7 release of the OpenFst is required and can be downloaded at http://www.openfst.org/FstDownload. The library needs to be compiled with --enable-far.
  Other requirements are:

Added:
>
>
Only needed if OpenFst was compiled with --with-icu.
 

Revision 12010-04-09 - CyrilAllauzen

Line: 1 to 1
Added:
>
>
META TOPICPARENT name="KernelDownload"

OpenKernel README

OpenKernel - Alpha release

PLATFORMS:

This version is known to work under Linux and MacOS X using g++. The makefiles are unlikely to work on other platforms unmodified.

REQUIREMENT:

The version 1.1 release of the OpenFst is required and can be downloaded at http://www.openfst.org/FstDownload.

Other requirements are:

  • An implementation of BLAS and LAPACK.

The package also include a modified version of LIBSVM 2.82 and an unmodified version of LIBLINEAR 1.33.

BUILDING:

To build (rudimentary Makefiles for now):

  • Edit the Makedefs.custom file at the top level if necessary.

  • Edit the Makedefs.custom file at the top level if necessary.

  • Run at the top level:
    make all

DOCUMENTATION:

At http://www.openkernel.org.

-- CyrilAllauzen - 09 Apr 2010

 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback